# v2.9 to 2.10

## `managedNamespaceMetadata` no longer preserves client-side-applied labels or annotations

Argo CD 2.10 upgraded kubectl from 1.24 to 1.26. This upgrade introduced a change where client-side-applied labels and
annotations are no longer preserved when using a server-side kubectl apply. This change affects the
`managedNamespaceMetadata` field of the `Application` CRD. Previously, labels and annotations applied via a client-side
apply would be preserved when `managedNamespaceMetadata` was enabled. Now, those existing labels and annotation will be
removed.

To avoid unexpected behavior, follow the [client-side to server-side resource upgrade guide](https://kubernetes.io/docs/reference/using-api/server-side-apply/#upgrading-from-client-side-apply-to-server-side-apply)
before enabling `managedNamespaceMetadata` on an existing namespace.

## Upgraded Helm Version

Note that bundled Helm version has been upgraded from 3.13.2 to 3.14.3.
